Bug 1627 - curl was updated to 7.29.0 [UPDATE REQUEST]
: curl was updated to 7.29.0 [UPDATE REQUEST]
Status: RESOLVED FIXED
Product: Desktop Bugs
Classification: ROSA Desktop
Component: Main Packages
: Fresh
: All Linux
: Normal normal
: ---
Assigned To: ROSA Linux Bugs
: ROSA Linux Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-02-08 17:53 MSK by Alexander Burmashev
Modified: 2013-02-15 12:19 MSK (History)
1 user (show)

See Also:
RPM Package: curl
ISO-related:
Bad POT generating:
Upstream:
vladimir.potapov: qa_verified+
alex.burmashev: published+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Alexander Burmashev 2013-02-08 17:53:38 MSK
curl was updated to 7.29.0
Comment 1 Alexander Burmashev 2013-02-08 17:56:18 MSK
Advisory:
curl was updated to 7.29.0 version. It fixes CVE-2013-0249 and provides a number of features
• Support for sasl digest-md5, sasl cram-md5m, sasl ntlm, sasl login, and sasl plain text authentication, has been implemented;
• Support for login disabled server capability has been added;
• -w now supports remote_ip/port and local_ip/port;
• Prevent NSS from crashing on client auth hook failure;
• Do not add undefined values to @INC;
• Much needed support for non-blocking SSL upgrade has been added;
• The default authentication detection is now working properly;
• Usernames and passwords that contain escape characters have been fixed.

Buildlists:
https://abf.rosalinux.ru/build_lists/943068
https://abf.rosalinux.ru/build_lists/943069

references:
http://curl.haxx.se/docs/adv_20130206.html
Comment 2 Alexander Burmashev 2013-02-08 18:03:35 MSK
According to http://upstream-tracker.org/versions/libcurl.html update should be smooth
Comment 3 Vladimir Potapov 2013-02-12 09:49:27 MSK
In testing
Comment 4 Vladimir Potapov 2013-02-13 14:32:11 MSK
curl-7.29.0-1-rosa2012.1
*************** Advisory ***************
curl was updated to 7.29.0 version. It fixes CVE-2013-0249 and provides a number of features
************* changelog ****************
• Support for sasl digest-md5, sasl cram-md5m, sasl ntlm, sasl login, and sasl plain text authentication, has been implemented;
• Support for login disabled server capability has been added;
• -w now supports remote_ip/port and local_ip/port;
• Prevent NSS from crashing on client auth hook failure;
• Do not add undefined values to @INC;
• Much needed support for non-blocking SSL upgrade has been added;
• The default authentication detection is now working properly;
• Usernames and passwords that contain escape characters have been fixed.
*****************************************
QA Verified